%define	desktop_vendor planetccrma
%define pkgver 0.4.2
#define pkgrel 

Summary: Jack and ALSA Audio Analyser
Name: jaaa
Version: %{pkgver}%{?pkgrel:.%{pkgrel}}
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/jaaa-%{pkgver}%{?pkgrel:-%{pkgrel}}.tar.bz2
Source1: jaaa.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils fftw-devel
BuildRequires: clalsadrv-devel clthreads-devel clxclient-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel libXft-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Jaaa (JACK and ALSA Audio Analyser, is an audio signal generator and
spectrum analyser designed to make accurate measurements.

%prep
%setup -q -n jaaa

%build
%ifarch x86_64
%{__perl} -p -i -e "s|-march=pentium4||" Makefile
%endif
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 jaaa %{buildroot}%{_bindir}/

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/applications/%{desktop_vendor}-jaaa.desktop

%changelog
* Fri Feb  1 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2

* Sun Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0.1-1
- spec file tweaks, use separate desktop file
- updated to 0.4.0-1

* Thu May 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-2
- include the README in the doc section

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
- fix extra qualifications for gcc4.x

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- proper build dependencies for fc5

* Wed Dec 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.2-1
- updated to 0.1.2
- spec file cleanup

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-2
- rebuilt for new libraries

* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-1
- initial build
